from apidocs.models import Namespace, Element, Page
from django.contrib import admin

class NamespaceAdmin(admin.ModelAdmin):
    list_display = ('name', 'platform_section', )
    list_filter = ('platform_section__topic_version__topic', 'platform_section__topic_version')
    search_fields = ('name', )
admin.site.register(Namespace, NamespaceAdmin)

class ElementAdmin(admin.ModelAdmin):
    list_display = ('name', 'namespace', 'section')
    list_filter = ('section__topic_version__topic', 'section__topic_version', 'section', 'namespace')
    search_fields = ('name', 'fullname', 'description')
admin.site.register(Element, ElementAdmin)

class PageAdmin(admin.ModelAdmin):
    list_display = ('slug', 'title', 'namespace', 'section')
    list_filter = ('section__topic_version__topic', 'section__topic_version', 'section', 'namespace')
    search_fields = ('slug', 'title', 'fullname', 'description')
admin.site.register(Page, PageAdmin)
