# Import DQoc HTML from lp:ubuntu-ui-toolkit
import os, sys

from django.core.management.base import BaseCommand, CommandError
from optparse import make_option
import xml.etree.ElementTree as ET

from developer_network.apidocs.models import *
from developer_network.common.models import *

__all__ = (
    'Command',
)

class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option(
            "-d",
            "--dif",
            dest="directory",
            help="Directory containing Juju html API files",
        ),

        make_option(
            "-s",
            "--section",
            dest="section",
            help="Section the documentation if from",
        ),
        make_option(
            "-r",
            "--release",
            dest="version",
            help="Version of the topic the documentation if from",
        ),
        make_option(
            "-t",
            "--topic",
            dest="topic",
            help="Topic the documentation if from",
        ),
    )

    def parse_filename(self, filename):
        pass
        
    def parse_href(self, href):
        pass
        
    def handle(self, *args, **options):
        topic = Topic.objects.get(slug=options['topic'])
        version = Version.objects.get(slug=options['version'], topic=topic)
        section = Section.objects.get(name=options['section'], topic_version=version)

        source = options['directory']
        if not os.path.exists(source):
            print "Source directory file not found"
            exit(1)
            
        DOC_ROOT = os.path.dirname(source)
        
        for cmd_file in os.listdir(source):
            if not cmd_file.endswith('.html'):
                continue
            cmd_name = cmd_file.replace('.html', '')
            element, created = Element.objects.get_or_create(name=cmd_name, section=section, namespace=None)
            element.fullname = element.name
                
            print element.fullname
                
            doc_handle = open(os.path.join(DOC_ROOT, cmd_file))
            doc_data = doc_handle.readlines()
            doc_handle.close()
            
            element.data = ''.join(doc_data)
            element.description = doc_data[0].replace('<p>', '').replace('</p>', '')

            element.save()
            
