# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Namespace'
        db.create_table('apidocs_namespace', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('platform_section', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.Section'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('display_name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('apidocs', ['Namespace'])

        # Adding model 'Element'
        db.create_table('apidocs_element', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('description', self.gf('django.db.models.fields.CharField')(default='', max_length=256, blank=True)),
            ('namespace', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Namespace'], null=True, blank=True)),
            ('section', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.Section'])),
            ('fullname', self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('keywords', self.gf('django.db.models.fields.CharField')(default='', max_length=256, blank=True)),
            ('data', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('apidocs', ['Element'])


    def backwards(self, orm):
        # Deleting model 'Namespace'
        db.delete_table('apidocs_namespace')

        # Deleting model 'Element'
        db.delete_table('apidocs_element')


    models = {
        'apidocs.element': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Element'},
            'data': ('django.db.models.fields.TextField', [], {}),
            'description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '256', 'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '256', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']", 'null': 'True', 'blank': 'True'}),
            'section': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Section']"})
        },
        'apidocs.namespace': {
            'Meta': {'object_name': 'Namespace'},
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'platform_section': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Section']"})
        },
        'common.section': {
            'Meta': {'object_name': 'Section'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'topic_version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Version']"})
        },
        'common.topic': {
            'Meta': {'object_name': 'Topic'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'common.version': {
            'Meta': {'object_name': 'Version'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'topic': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Topic']"})
        }
    }

    complete_apps = ['apidocs']