from common.models import Topic, Version, Section
from django.contrib import admin

class TopicAdmin(admin.ModelAdmin):
    list_display = ('name', 'slug')
    search_fields = ('name', 'slug')
admin.site.register(Topic, TopicAdmin)

class VersionAdmin(admin.ModelAdmin):
    list_display = ('name', 'slug', 'topic')
    list_filter = ('topic',)
    search_fields = ('name', 'slug')

admin.site.register(Version, VersionAdmin)

class SectionAdmin(admin.ModelAdmin):
    list_display = ('name', 'topic', 'topic_version')
    list_filter = ('topic_version__topic', 'topic_version')
    search_fields = ('name', 'description')
admin.site.register(Section, SectionAdmin)
