# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Topic'
        db.create_table('common_topic', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('slug', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('common', ['Topic'])

        # Adding model 'Version'
        db.create_table('common_version', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('topic', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.Topic'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('slug', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('common', ['Version'])

        # Adding model 'Section'
        db.create_table('common_section', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('topic_version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.Version'])),
        ))
        db.send_create_signal('common', ['Section'])


    def backwards(self, orm):
        # Deleting model 'Topic'
        db.delete_table('common_topic')

        # Deleting model 'Version'
        db.delete_table('common_version')

        # Deleting model 'Section'
        db.delete_table('common_section')


    models = {
        'common.section': {
            'Meta': {'object_name': 'Section'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'topic_version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Version']"})
        },
        'common.topic': {
            'Meta': {'object_name': 'Topic'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'common.version': {
            'Meta': {'object_name': 'Version'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'slug': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'topic': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Topic']"})
        }
    }

    complete_apps = ['common']