from django.db import models

# Create your models here.

class Topic(models.Model):
    
    name = models.CharField(max_length=64)
    slug = models.CharField(max_length=64)
    
    def __unicode__(self):
        return self.name


class Version(models.Model):
    
    topic = models.ForeignKey(Topic)
    name = models.CharField(max_length=64)
    slug = models.CharField(max_length=64)

    def __unicode__(self):
        return self.topic.name +' '+self.name


class Section(models.Model):

    name = models.CharField(max_length=64)
    description = models.TextField(blank=True, null=True)
    topic_version = models.ForeignKey(Version)
    
    def __unicode__(self):
        return self.topic_version.topic.name +' '+self.topic_version.name+', '+self.name

    @property
    def topic(self):
        return self.topic_version.topic
        
    def has_free_elements(self):
        return self.element_set.filter(namespace=None).count() > 0
    
    def free_element_set(self):
        return self.element_set.filter(namespace=None)
