# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Snippet'
        db.create_table('related_snippet', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('code', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('related', ['Snippet'])

        # Adding model 'Image'
        db.create_table('related_image', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('caption', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('related', ['Image'])

        # Adding model 'Link'
        db.create_table('related_link', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('link_type', self.gf('django.db.models.fields.PositiveSmallIntegerField')()),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('related', ['Link'])


    def backwards(self, orm):
        # Deleting model 'Snippet'
        db.delete_table('related_snippet')

        # Deleting model 'Image'
        db.delete_table('related_image')

        # Deleting model 'Link'
        db.delete_table('related_link')


    models = {
        'apidocs.element': {
            'Meta': {'object_name': 'Element'},
            'data': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Language']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']"})
        },
        'apidocs.namespace': {
            'Meta': {'object_name': 'Namespace'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'platform_item': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.PlatformItem']"})
        },
        'common.distribution': {
            'Meta': {'object_name': 'Distribution'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'common.language': {
            'Meta': {'object_name': 'Language'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'common.platformitem': {
            'Meta': {'object_name': 'PlatformItem'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'packages': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Release']"}),
            'section': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.PlatformSection']"})
        },
        'common.platformsection': {
            'Meta': {'object_name': 'PlatformSection'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'common.release': {
            'Meta': {'object_name': 'Release'},
            'distro': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Distribution']"}),
            'expires': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'released': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'related.image': {
            'Meta': {'object_name': 'Image'},
            'caption': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'related.link': {
            'Meta': {'object_name': 'Link'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'link_type': ('django.db.models.fields.PositiveSmallIntegerField', [], {}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'related.snippet': {
            'Meta': {'object_name': 'Snippet'},
            'code': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"})
        }
    }

    complete_apps = ['related']