from django.db import models
from apidocs.models import Namespace, Element

# Create your models here.

class Snippet(models.Model):
    
    rendered_element = models.ForeignKey(Element)
    name = models.CharField(max_length=64)
    code = models.TextField()

    def __unicode__(self):
        return self.name


class Image(models.Model):
    
    rendered_element = models.ForeignKey(Element)
    name = models.CharField(max_length=64)
    url = models.URLField()
    caption = models.TextField(blank=True, null=True)
    
    def __unicode__(self):
        return self.name


LINK_QUESTION = 0
LINK_TUTORIAL = 1
LINK_TYPES = (
    (LINK_QUESTION, 'Question'),
    (LINK_TUTORIAL, 'Tutorial'),
)
class Link(models.Model):

    rendered_element = models.ForeignKey(Element)
    name = models.CharField(max_length=64)
    link_type = models.PositiveSmallIntegerField(choices=LINK_TYPES)
    url = models.URLField()
    description = models.TextField(blank=True, null=True)

    def __unicode__(self):
        return self.name
