# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Class'
        db.create_table('search_class', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('namespace', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Namespace'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('inherits', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('member_names', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('doc_string', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('search', ['Class'])

        # Adding model 'BitField'
        db.create_table('search_bitfield', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('namespace', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Namespace'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('field_names', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('doc_string', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('search', ['BitField'])

        # Adding model 'Enum'
        db.create_table('search_enum', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('rendered_element', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Element'])),
            ('namespace', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['apidocs.Namespace'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('enumerated_names', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('doc_string', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('search', ['Enum'])


    def backwards(self, orm):
        # Deleting model 'Class'
        db.delete_table('search_class')

        # Deleting model 'BitField'
        db.delete_table('search_bitfield')

        # Deleting model 'Enum'
        db.delete_table('search_enum')


    models = {
        'apidocs.element': {
            'Meta': {'object_name': 'Element'},
            'data': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Language']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']"})
        },
        'apidocs.namespace': {
            'Meta': {'object_name': 'Namespace'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'platform_item': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.PlatformItem']"})
        },
        'common.distribution': {
            'Meta': {'object_name': 'Distribution'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'common.language': {
            'Meta': {'object_name': 'Language'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'common.platformitem': {
            'Meta': {'object_name': 'PlatformItem'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'packages': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Release']"}),
            'section': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.PlatformSection']"})
        },
        'common.platformsection': {
            'Meta': {'object_name': 'PlatformSection'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'common.release': {
            'Meta': {'object_name': 'Release'},
            'distro': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Distribution']"}),
            'expires': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'released': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'search.bitfield': {
            'Meta': {'object_name': 'BitField'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_string': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'field_names': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']"}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"})
        },
        'search.class': {
            'Meta': {'object_name': 'Class'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_string': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inherits': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'member_names': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']"}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"})
        },
        'search.enum': {
            'Meta': {'object_name': 'Enum'},
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'doc_string': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'enumerated_names': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'namespace': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Namespace']"}),
            'rendered_element': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['apidocs.Element']"})
        }
    }

    complete_apps = ['search']