from django.db import models
from apidocs.models import Namespace, Element

# Create your models here.

class Class(models.Model):
    
    class Meta:
        verbose_name_plural = 'Classes'
    
    rendered_element = models.ForeignKey(Element)
    namespace = models.ForeignKey(Namespace)
    name = models.CharField(max_length=64)
    inherits = models.TextField(blank=True, null=True)
    member_names = models.TextField(blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    doc_string = models.TextField(blank=True, null=True)
    
    def __unicode__(self):
        return self.name


class BitField(models.Model):

    rendered_element = models.ForeignKey(Element)
    namespace = models.ForeignKey(Namespace)
    name = models.CharField(max_length=64)
    field_names = models.TextField(blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    doc_string = models.TextField(blank=True, null=True)

    def __unicode__(self):
        return self.name


class Enum(models.Model):

    rendered_element = models.ForeignKey(Element)
    namespace = models.ForeignKey(Namespace)
    name = models.CharField(max_length=64)
    enumerated_names = models.TextField(blank=True, null=True)
    description = models.TextField(blank=True, null=True)
    doc_string = models.TextField(blank=True, null=True)

    def __unicode__(self):
        return self.name


